#pragma once

#include <QtWidgets/QMainWindow>
#include "ui_metavis.h"
#include <qsettings.h>

/**
 * Main class of the GUI.
 */
class metavis : public QMainWindow
{
	Q_OBJECT

public:
	metavis(QWidget *parent = Q_NULLPTR);
	~metavis();

private:
	Ui::metavisClass ui;
	QSettings* settings;

private:
	/* Widget functions */
	void createChartWidget();
	void createWebEngineWidget();
	void createCustomWidget();


	/* Setting functions*/
	void writeActualMainWindowSettings();
	void readMainWindowSettings();


public slots:
	/**
	 * Opens the settingWindows Dialog.
	 */
	void openSetting();
};
